﻿@model KhensysTest.Models.Permisos

@{
    ViewBag.Title = "Solicitar Permiso";
}

<h2>Solicitar Permiso</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
      
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            <label class="control-label col-md-2">Nombre </label>
            <div class="col-md-10">
                @Html.EditorFor(model => model.NombreEmpleado, new { htmlAttributes = new { @class = "form-control", required = "true" } })
                @Html.ValidationMessageFor(model => model.NombreEmpleado, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-2">Apellidos </label>
            <div class="col-md-10">
                @Html.EditorFor(model => model.ApellidosEmpleado, new { htmlAttributes = new { @class = "form-control", required = "true" } })
                @Html.ValidationMessageFor(model => model.ApellidosEmpleado, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-2"> Tipo Permiso  </label>
            <div class="col-md-10">
                @Html.DropDownList("TipoPermiso", null, htmlAttributes: new { @class = "form-control" , required = "true" })
                @Html.ValidationMessageFor(model => model.TipoPermiso, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class = "control-label col-md-2" >Fecha Permiso </label> 
            <div class="col-md-10">
                @Html.EditorFor(model => model.FechaPermiso, new { htmlAttributes = new { @class = "form-control", required = "true" } })
                @Html.ValidationMessageFor(model => model.FechaPermiso, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-success" />
            </div>
        </div>
    </div>
}


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
